This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### strokeWeight()
Examples |
    strokeWeight(1);  // Default
    line(20, 20, 80, 20);
    strokeWeight(4);  // Thicker
    line(20, 40, 80, 40);
    strokeWeight(10);  // Beastly
    line(20, 70, 80, 70);
Description | Sets the width of the stroke used for lines, points, and the border around shapes. All widths are set in units of pixels.
Syntax |
    strokeWeight(weight)
Parameters |
weight | float: the weight (in pixels) of the stroke
Returns | void
Related | stroke() strokeJoin() strokeCap()

Updated on October 26, 2013 08:58:32pm PDT